Creates a new assistant session in the given app.
HTTP request
POST https://ces.googleapis.com/v1beta/{parent=projects/*/locations/*/apps/*}/assistantSessions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The app to create the assistant session in Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"assistantSessionId": string,
"assistantSessionMessages": [
{
object ( |
| Fields | |
|---|---|
assistantSessionId |
Optional. The ID to use for the assistant session, which will become the final component of the assistant session's resource name. If not provided, a unique ID will be automatically assigned for the assistant session. |
assistantSessionMessages[] |
Optional. The messages to seed the assistant session with. |
Response body
If successful, the response body contains a newly created instance of AssistantSession.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/ces
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
ces.assistantSessions.create
For more information, see the IAM documentation.